Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authorization
Interface DefaultAuthorizerMBean

public interface DefaultAuthorizerMBean
extends weblogic.management.commo.StandardInterface, DeployableAuthorizerMBean, PolicyEditorMBean, PredicateEditorMBean

This MBean represents configuration attributes for the WebLogic Authorization provider.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Authorization provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class used to load the WebLogic Authorization provider.
`java.lang.String` | `getVersion()` The version of the WebLogic Authorization provider.

Methods inherited from interface weblogic.management.security.authorization.DeployableAuthorizerMBean
`isPolicyDeploymentEnabled, setPolicyDeploymentEnabled`

Methods inherited from interface weblogic.management.security.authorization.PolicyEditorMBean
`createPolicy, removePolicy, setPolicyExpression`

Methods inherited from interface weblogic.security.providers.authorization.PredicateEditorMBean
`registerPredicate, unregisterPredicate`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Methods inherited from interface weblogic.management.security.authorization.PolicyReaderMBean
`getPolicyExpression, policyExists`

Methods inherited from interface weblogic.security.providers.authorization.PredicateReaderMBean
`getPredArgumentAllowedValues, getPredArgumentCount, getPredArgumentDefValue, getPredArgumentDescription, getPredArgumentMaxValue, getPredArgumentMinValue, getPredArgumentName, getPredArgumentType, getPredicateDescription, getPredicateDisplayName, getRegisteredPredicates, isPredArgumentValid, isRegisteredPredicate`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class used to load the WebLogic Authorization provider.

  Default Value: "weblogic.security.providers.authorization.DefaultAuthorizationProviderImpl"

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Authorization provider.

  Default Value: "Weblogic Authorization Provider"

### getVersion

    public java.lang.String getVersion()

  The version of the WebLogic Authorization provider.

  Default Value: "1.0"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference